#
# Conditional build:
%bcond_without	tests	# do perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Net
%define	pnam	Arping
Summary:	Net::Arping - Ping remote host by ARP packets
Summary(pl.UTF-8):	Net::Arping - Pingowanie zdalnego hosta przy użyciu pakietów ARP
Name:		perl-Net-Arping
Version:	0.03
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/R/RA/RADEK/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bf26415f1406dec2689d5e8aa3ca2744
URL:		http://search.cpan.org/dist/Net-Arping/
BuildRequires:	libnet-devel
BuildRequires:	libpcap-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The module contains function for testing remote host reachability by
sending ARP packets.

The program must be run as root or be setuid to root.

%description -l pl.UTF-8
Ten moduł zawiera funkcję do sprawdzania dostępności zdalnego hosta
poprzez wysyłanie pakietów ARP.

Program musi być uruchamiany przez roota lub mieć ustawiony suid root.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{__make} test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Net/*.pm
%dir %{perl_vendorarch}/auto/Net/Arping
%attr(755,root,root) %{perl_vendorarch}/auto/Net/Arping/*.so
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-Arping.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 53da571
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Fri Apr 20 2012 Jan Rękorajski <baggins@pld-linux.org> b07d562
- release 6

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 76c83bb
- rel 5

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 7fb86fc
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0cd2f97
- release 3

* Sat Apr 03 2010 Elan Ruusamäe <glen@pld-linux.org> 0a45391
- release 2

* Tue Nov 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 9e75c78
- let URL point to module summary
- pl

* Tue Nov 04 2008 radek <radek@pld-linux.org> 2e6270e
- merged upstream

* Tue Nov 04 2008 radek <radek@pld-linux.org> 1c85ae7
- version 0.03

* Sat Mar 29 2008 radek <radek@pld-linux.org> 3b61d64
- destroy the libpcap struct too

* Sat Mar 29 2008 radek <radek@pld-linux.org> 4369451
- release 1, patched for libnet 1.1

* Sat Mar 29 2008 radek <radek@pld-linux.org> 391dc55
- ported to libnet 1.1

* Sat Mar 29 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> c16b5a1
- spec created by pldcpan.pl
- release 0.1, failed on make
- this spec is required by arping.pl script from nagios-contrib

